% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulate.R
\name{error_jc}
\alias{error_jc}
\title{Build error matrix.}
\usage{
error_jc(rate)
}
\arguments{
\item{rate}{is the global error probability per site expressed as a numeric
value ranging between 0 and 1.}
}
\value{
a 4 x 4 numeric matrix providing sequencing
        error probalibiltie for each nucleotides.
}
\description{
Error matrix is a 4 x 4 numeric matrix providing sequencing
error probalibiltie for each nucleotides. Each row correspond
to one of the four nucleotides `A`,`C`,`G`,`T`. Each column indicates
the probability of reading a given nucleotide considering that the TRUE
one is indicated by the row.
`error.jc` build an error matrix following the Juke et Cantor model
where all errors are equiprobable.
}
\examples{
  # Build an error matrix corresponding 
  # to 5\% of sequencing error
  
  err = error_jc(0.05)
  err
  
  #          A          C          G          T
  # A 0.95000000 0.01666667 0.01666667 0.01666667
  # C 0.01666667 0.95000000 0.01666667 0.01666667
  # G 0.01666667 0.01666667 0.95000000 0.01666667
  # T 0.01666667 0.01666667 0.01666667 0.95000000
  
}
\author{
Eric Coissac
}
