% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulate.R
\name{sequencing_error}
\alias{sequencing_error}
\title{Generate substitution sequencing error.}
\usage{
sequencing_error(nuc, error)
}
\arguments{
\item{nuc}{character; a vector of nucleotide to be modified according
to a error matrix.}

\item{error}{numeric 4 x 4 matrix; the error matrix as produced by the
\code{\link{error_jc}} function.}
}
\description{
Simulate substitution sequencing error on a set of nucleotides following
substitution rates stored in an error matrix.
}
\examples{
   sequencing_error(c("A","A","C","T","T","G"),
                    error_jc(0.2))              

}
\seealso{
\code{\link{error_jc}}
}
\author{
Eric Coissac
}
